Bug 1955617 - CentOS Repositories should be removed from yum.repo.d when upgrading to CentOS Stream
Summary: CentOS Repositories should be removed from yum.repo.d when upgrading to CentO...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: General
Version: 4.4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ovirt-4.4.6
: 4.4.6
Assignee: Sandro Bonazzola
QA Contact: peyu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-30 14:21 UTC by Jean-Louis Dupond
Modified: 2021-05-05 07:03 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-05 07:03:49 UTC
oVirt Team: Node
cshao: testing_ack?


Attachments (Terms of Use)

Description Jean-Louis Dupond 2021-04-30 14:21:29 UTC
Description of problem:
When upgrading a CentOS 8 ovirt-node to a CentOS Steam one, you end up with a bunch of duplicate files in /etc/yum.repos.d/


How reproducible:
Upgrade CentOS 8 ovirt-node < 4.4.6 to current ovirt-node 4.4.6


Steps to Reproduce:
1. Install ovirt-node 4.4.5
2. Upgrade to ovirt-node 4.4.6

Actual results:
The following files should get cleaned:
CentOS-Linux-AppStream.repo
CentOS-Linux-BaseOS.repo
CentOS-Linux-ContinuousRelease.repo
CentOS-Linux-Debuginfo.repo
CentOS-Linux-Devel.repo
CentOS-Linux-Extras.repo
CentOS-Linux-FastTrack.repo
CentOS-Linux-HighAvailability.repo
CentOS-Linux-Media.repo
CentOS-Linux-Plus.repo
CentOS-Linux-PowerTools.repo
CentOS-Linux-Sources.repo

As they have a CentOS-Stream-XXXX.repo variant.


This will fix the following warnings:
Repository cr is listed more than once in the configuration
Repository extras is listed more than once in the configuration
Repository extras-source is listed more than once in the configuration
Repository appstream is listed more than once in the configuration
Repository baseos is listed more than once in the configuration
Repository debuginfo is listed more than once in the configuration
Repository extras is listed more than once in the configuration
Repository ha is listed more than once in the configuration
Repository media-baseos is listed more than once in the configuration
Repository media-appstream is listed more than once in the configuration
Repository powertools is listed more than once in the configuration
Repository fasttrack is listed more than once in the configuration

Comment 1 RHEL Program Management 2021-04-30 23:23:58 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 2 Sandro Bonazzola 2021-05-04 07:39:10 UTC
I'll add a note to release notes to manually remove these files.

Comment 3 Sandro Bonazzola 2021-05-05 07:03:49 UTC
Added note in https://ovirt.org/release/4.4.6/


Note You need to log in before you can comment on or make changes to this bug.